#!/bin/zsh
if [[ -z $1 || -z $2 || -z $3 || -z $4 || -z $5 ]]
  then
    echo "Not enought arguments found"
    echo "Input IP, shaqre, username, password and mountname"
  else
    sudo mkdir -p /mnt/$5
    sudo chown -c $USER /mnt/$5
    sudo mount -t cifs //$1/$2 /mnt/$5 -o username=$3,password=$4,iocharset=utf8,uid=$EUID,vers=2.0
fi
